/*
 * @(#)ReceiverResourceTest.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.ReceiverResource;
import junit.framework.TestCase;

/**
 * ReceiverResourceクラスのテストケース
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:10:23 $
 */
public class ReceiverResourceTest extends TestCase {
	private String host = "172.16.3.74";

	private String context = "sso_test";

	// 予想する値
	private String receiver = "http://172.16.3.74:8080/sso_test/receiver.html";


	/**
	 * Constructor for ReceiverResourceTest.
	 * @param arg0
	 */
	public ReceiverResourceTest(String arg0) {
		super(arg0);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/*
	 * Test method for 'info.dragonlady.sso.ReceiverResource.getReceiver(String)'
	 */
	public final void testGetReceiver() {
		try {
			assertTrue(ReceiverResource.getReceiver(host, context).equals(receiver));
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
